Skip to content

Create API token.​

POST
/backend/v1/tokens

Creates an API token.
Based on the provided body,
it will either create a machine token for the org or user group, or a personal API token.

Authorizations​

HTTPBearer
Type
HTTP (bearer)

Request Body​

application/json
JSON
{
  
"expiresAt": "string",
  
"machine": true,
  
"name": "string",
  
"projectId": "string"
}

Responses​

Successful Response

application/json
JSON
{
  
"token": {
  
  
"expiresAt": "string",
  
  
"id": "string",
  
  
"machine": true,
  
  
"name": "string",
  
  
"projectId": "string",
  
  
"revoked": true,
  
  
"scope": "string",
  
  
"status": "string",
  
  
"userId": "string",
  
  
"value": "string"
  
}
}

Playground​

Server
Authorization
Body

Samples​

Powered by VitePress OpenAPI

Updated at: